import loadKpReactions from 'process/load-kp/reactions';
import * as calculateReactions from '../../calculate/reactions';
import * as fingapReactions from '../../fingap/reactions';
import * as leadOpportunityReactions from '../../lead-opportunity/reactions';
import paymentsReactions from '../../payments/reactions';
import * as priceReactions from '../../price/reactions';
import * as agentsReactions from '../../supplier-agent/reactions/agents';
import leasebackReactions from '../../supplier-agent/reactions/leaseback';
import * as supplierReactions from '../../supplier-agent/reactions/supplier';
import setInitialValuesReactions from '../set-values/reactions';

export default function injectDefaultReactions(context) {
  leadOpportunityReactions.common(context);
  leadOpportunityReactions.urls(context);
  paymentsReactions(context);
  calculateReactions.validation(context);
  supplierReactions.commonReactions(context);
  supplierReactions.validationReactions(context);
  agentsReactions.fillReactions(context);
  agentsReactions.commonReactions(context);
  agentsReactions.validationReactions(context);
  leasebackReactions(context);
  priceReactions.computed(context);
  fingapReactions.common(context);
  fingapReactions.validation(context);
  setInitialValuesReactions(context);
  loadKpReactions(context);
}
